---
schema_version: "1"
id: d68be2f919c96af237dc67e5f01e4be8e88452407158673f06b3bbe0c8d87bd5
title: DELETE /interaction/v1/interactions/{id}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/deleteInteractionById.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_interaction/deleteInteractionById.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: d64b740bd2b133e69f3231aebe32b33ede177c1646a5a9a86e07d56d89094840
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# DELETE /interaction/v1/interactions/{id}

## Overview

Deletes a journey by ID or key. When deleting last version of a journey, check if the journey is associated with a tag and unassociated the tag using the [deleteTags](https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_interaction/deleteTags.md) resource.

### URL Parameters

<!--complex table-->

| Name              | Type    |              | Description                                                                                                                                                                          |
| ----------------- | ------- | ------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **id**            | string  | **Required** | The ID of the journey to delete expressed in the form of a GUID (UUID). Required if not using a key. The ID deletes all versions of the journey, unless a versionNumber is provided. |
| **key**           | string  | **Required** | The key of the journey. Required if not using ID. Prefix the parameter with **key:**. For example, **/interactions/key:{key}**.                                                      |
| **versionNumber** | integer |              | Version number of the journey to delete. **If no version is specified, ALL versions associated with the provided ID will be deleted.**                                               |

### Usage

**Example Request**

The following request will delete the journey specified with the ID request parameter. If you don't provide the `versionNumber` parameter, then **ALL** versions of the identified journey will be deleted. YOU CANNOT RECOVER THIS DATA.

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
DELETE /interaction/v1/interactions/{id}?versionNumber={versionNumber}
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

**Example Response**

```js
HTTP/1.1 200 OK
```

**Example Error Response**

```js
HTTP/1.1 500
{
    "documentation": "",
    "errorcode": 500,
    "message": "Internal Server Error"
}
```
